Bug 732150 - Review Request: btm - Bitronix Transaction Manager
Summary: Review Request: btm - Bitronix Transaction Manager
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-20 02:42 UTC by Andy Grimm
Modified: 2016-11-08 03:45 UTC (History)
5 users (show)

Fixed In Version: btm-2.1.1-3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-25 03:43:09 UTC
akurtako: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Andy Grimm 2011-08-20 02:42:55 UTC
Description :
The Bitronix Transaction Manager (BTM) is a simple but complete
implementation of the JTA 1.1 API. It is a fully working XA transaction
manager that provides all services required by the JTA API while trying
to keep the code as simple as possible for easier understanding of the
XA semantics.

License     : LGPLv3
URL         : http://bitronix.be

spec:
http://www.grimmslanding.org/rpms/btm.spec

SRPM:
http://repos.fedorapeople.org/repos/arg/eucalyptus/fedora-16/SRPMS/btm-2.1.1-1.fc16.src.rpm

Comment 1 Rahul Sundaram 2011-08-20 06:11:38 UTC
fyi, defattr is redundant now.  No need to specify that anymore.

Comment 3 Alexander Kurtakov 2011-09-06 15:02:07 UTC
I'll do this one.

Comment 4 Alexander Kurtakov 2011-09-07 14:42:03 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:
btm.noarch: E: devel-dependency java-devel
Does it really java-devel? I doubt it but if it really needs it just say so.
btm.noarch: W: spelling-error Summary(en_US) Bitronix -> Arbitron

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: LGPLv3
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    :df9e0b1745d7458b843f9f86da6c8d31
MD5SUM upstream package:df9e0b1745d7458b843f9f86da6c8d31
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[!]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[-]  Package DOES NOT use %update_maven_depmap in %post/%postun
[-]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.

Issues:
* requires on java-devel seems to not be needed
* 2 Requires for java - one versioned and one not, please keep only one of them
* please use the find -name '*.jar' -exec rm -f '{}' \; for removing the jars. Because currently you remove another folder and the one with junit and mockito is there during build time
* there is an empty check section please remove it is not needed now

Comment 6 Alexander Kurtakov 2011-09-07 16:02:33 UTC
Thanks,
APPROVED

Comment 7 Andy Grimm 2011-09-13 14:30:25 UTC
New Package SCM Request
=======================
Package Name: btm
Short Description: Bitronix Transaction Manager
Owners: arg
Branches: f15 f16 el6
InitialCC:

Comment 8 Gwyn Ciesla 2011-09-13 14:52:37 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2011-09-13 17:25:03 UTC
btm-2.1.1-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/btm-2.1.1-3.fc15

Comment 10 Fedora Update System 2011-09-13 17:26:03 UTC
btm-2.1.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/btm-2.1.1-3.fc16

Comment 11 Fedora Update System 2011-09-13 22:20:15 UTC
btm-2.1.1-3.fc16 has been pushed to the Fedora 16 testing repository.

Comment 12 Fedora Update System 2011-09-25 03:43:04 UTC
btm-2.1.1-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Fedora Update System 2011-09-30 18:59:50 UTC
btm-2.1.1-3.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.